- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Functions

# fbxstring.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxString
| Utility class to manipulate strings. More...
class | FbxStringCompare
| Functor class to compare FbxString, and is suitable for use in FbxMap. More...
class | FbxCharCompare
| Functor class to compare "C" strings. More...
## Defines
#define | FBXSDK_STRING_OPAQUE_OBJECT_HEADER void* mOpaqueChunk[SIZE_OF_STDSTRING/sizeof(void*)]
#define | FBXSDK_STRING_OPAQUE_OBJECT FBXSDK_STRING_OPAQUE_OBJECT_HEADER
## Functions
FBXSDK_DLL void | FbxUTF8ToWC (const char *pInUTF8, wchar_t *&pOutWideChar, size_t *pOutWideCharSize=NULL)
| Convert string from UTF8 to wide-char.
FBXSDK_DLL void | FbxWCToUTF8 (const wchar_t *pInWideChar, char *&pOutUTF8, size_t *pOutUTF8Size=NULL)
| Convert string from wide-char to UTF8.
| FBXSDK_INCOMPATIBLE_WITH_ARRAY (FbxString)
FBXSDK_DLL FbxString | operator+ (const FbxString &pKStr1, const FbxString &pKStr2)
| FbxString concatenation.
FBXSDK_DLL FbxString | operator+ (const FbxString &pKStr, char pChar)
| Character concatenation.
FBXSDK_DLL FbxString | operator+ (const FbxString &pKStr, const char *pStr)
| String concatenation.
FBXSDK_DLL FbxString | operator+ (const FbxString &pKStr, int pValue)
| Integer concatenation.
FBXSDK_DLL FbxString | operator+ (const FbxString &pKStr, float pValue)
| Float concatenation.
FBXSDK_DLL FbxString | operator+ (const FbxString &pKStr, double pValue)
| Double concatenation.
void | FbxRemoveChar (FbxString &pString, char pToRemove)
| Remove the given char in the given string.

## Detailed Description

Definition in file fbxstring.h.

## Define Documentation

#define FBXSDK_STRING_OPAQUE_OBJECT_HEADER void* mOpaqueChunk[SIZE_OF_STDSTRING/sizeof(void*)]

Search for all occurrences

Definition at line 44 of file fbxstring.h.

#define FBXSDK_STRING_OPAQUE_OBJECT FBXSDK_STRING_OPAQUE_OBJECT_HEADER

Search for all occurrences

Definition at line 46 of file fbxstring.h.

## Function Documentation

FBXSDK_DLL void FbxUTF8ToWC | ( | const char * | pInUTF8,
|  | wchar_t *& | pOutWideChar,
|  | size_t * | pOutWideCharSize = `NULL`
| ) |  |

Search for all occurrences

Convert string from UTF8 to wide-char.

Parameters:

  inUTF8 | input string
  pOutWideChar | output string
  pOutWideCharSize | size of the allocated output string buffer

Remarks:
  Output buffer should be release by caller

FBXSDK_DLL void FbxWCToUTF8 | ( | const wchar_t * | pInWideChar,
|  | char *& | pOutUTF8,
|  | size_t * | pOutUTF8Size = `NULL`
| ) |  |

Search for all occurrences

Convert string from wide-char to UTF8.

Parameters:

  inWideChar | input string
  pOutUTF8 | output string
  pOutUTF8Size | size of the allocated output string buffer

Remarks:
  Output buffer should be release by caller

FBXSDK_INCOMPATIBLE_WITH_ARRAY | ( | FbxString |  | ) |

Search for all occurrences

FBXSDK_DLL FbxString operator+ | ( | const FbxString & | pKStr1,
|  | const FbxString & | pKStr2
| ) |  |

FbxString concatenation.

Parameters:

  pKStr1 | FbxString 1 to be concatenated to FbxString 2.
  pKStr2 | FbxString 2 to be concatenated to FbxString 1

FBXSDK_DLL FbxString operator+ | ( | const FbxString & | pKStr,
|  | char | pChar
| ) |  |

Character concatenation.

Parameters:

  pKStr | FbxString to be concatenated to Character.
  pChar | Character to be concatenated to FbxString

FBXSDK_DLL FbxString operator+ | ( | const FbxString & | pKStr,
|  | const char * | pStr
| ) |  |

String concatenation.

Parameters:

  pKStr | FbxString to be concatenated to String.
  pStr | String to be concatenated to FbxString

FBXSDK_DLL FbxString operator+ | ( | const FbxString & | pKStr,
|  | int | pValue
| ) |  |

Integer concatenation.

Parameters:

  pKStr | FbxString to be concatenated to Integer.
  pValue | Integer to be concatenated to FbxString

FBXSDK_DLL FbxString operator+ | ( | const FbxString & | pKStr,
|  | float | pValue
| ) |  |

Float concatenation.

Parameters:

  pKStr | FbxString to be concatenated to Float.
  pValue | Float to be concatenated to FbxString

FBXSDK_DLL FbxString operator+ | ( | const FbxString & | pKStr,
|  | double | pValue
| ) |  |

Double concatenation.

Parameters:

  pKStr | FbxString to be concatenated to Double.
  pValue | Double to be concatenated to FbxString

void FbxRemoveChar | ( | FbxString & | pString,
|  | char | pToRemove
| ) |  | `[inline]`

Search for all occurrences

Remove the given char in the given string.

Parameters:

  pString | The given string.
  lToRemove | The given char ought to be removed.

Remarks:
  Strings used in this function are case-sensitive.

Definition at line 503 of file fbxstring.h.

    {
        int lPos = pString.ReverseFind(pToRemove);
        while( lPos >= 0 )
        {
            pString = pString.Left(lPos) + pString.Mid(lPos + 1);
            lPos = pString.ReverseFind(pToRemove);
        }
    }